package args

import "github.com/riverqueue/river"

type NotificationArgs struct {
	TenantID int64  `json:"tenant_id"`
	UserID   int64  `json:"user_id"`
	Type     string `json:"type"`
	Title    string `json:"title"`
	Content  string `json:"content"`
}

func (NotificationArgs) Kind() string {
	return "notification"
}

func (NotificationArgs) InsertOpts() river.InsertOpts {
	return river.InsertOpts{}
}

func (NotificationArgs) UniqueID() string {
	return "notification"
}
